Bug 1732165 - Latest iwlwifi driver crash at startup
Summary: Latest iwlwifi driver crash at startup
Keywords:
Status: CLOSED EOL
Alias: None
Product: Fedora
Classification: Fedora
Component: iwlwifi-firmware
Version: 30
Hardware: All
OS: Linux
unspecified
urgent
Target Milestone: ---
Assignee: Orphan Owner
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
: 1733308 (view as bug list)
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2019-07-22 20:45 UTC by mathieu.tarral
Modified: 2020-05-26 18:11 UTC (History)
15 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2020-05-26 18:11:14 UTC
Type: Bug


Attachments (Terms of Use)
klogs-iwlwifi (70.39 KB, text/plain)
2019-11-03 03:05 UTC, ilmostro7
no flags Details

Description mathieu.tarral 2019-07-22 20:45:19 UTC
Description of problem:

After the last dnf upgrade, the iwlwifi driver has been updated.
On reboot, the driver crashes repeatedly.


Version-Release number of selected component (if applicable):
I don't know which firmware my card is using:
Intel Corporation Wireless-AC 9560 [Jefferson Peak] (rev 10)


How reproducible:
always

Steps to Reproduce:
1. upgrade
2. reboot
3. driver crash

Actual results:
dmesg:

[   73.440968] iwlwifi 0000:00:14.3: Applying debug destination EXTERNAL_DRAM
[   73.556249] iwlwifi 0000:00:14.3: Applying debug destination EXTERNAL_DRAM
[   73.620630] iwlwifi 0000:00:14.3: FW already configured (0) - re-configuring
[   73.834419] iwlwifi 0000:00:14.3: Microcode SW error detected. Restarting 0x0.
[   73.834784] iwlwifi 0000:00:14.3: Start IWL Error Log Dump:
[   73.834786] iwlwifi 0000:00:14.3: Status: 0x00000100, count: 6
[   73.834788] iwlwifi 0000:00:14.3: Loaded firmware version: 46.a41adfe7.0
[   73.834790] iwlwifi 0000:00:14.3: 0x00000071 | NMI_INTERRUPT_UMAC_FATAL    
[   73.834791] iwlwifi 0000:00:14.3: 0x00A022F0 | trm_hw_status0
[   73.834793] iwlwifi 0000:00:14.3: 0x00000000 | trm_hw_status1
[   73.834794] iwlwifi 0000:00:14.3: 0x004880AA | branchlink2
[   73.834795] iwlwifi 0000:00:14.3: 0x0047933A | interruptlink1
[   73.834796] iwlwifi 0000:00:14.3: 0x00015412 | interruptlink2
[   73.834798] iwlwifi 0000:00:14.3: 0x0001A7DA | data1
[   73.834799] iwlwifi 0000:00:14.3: 0x00001000 | data2
[   73.834800] iwlwifi 0000:00:14.3: 0xE0000008 | data3
[   73.834802] iwlwifi 0000:00:14.3: 0x00000000 | beacon time
[   73.834803] iwlwifi 0000:00:14.3: 0x0003A403 | tsf low
[   73.834804] iwlwifi 0000:00:14.3: 0x00000000 | tsf hi
[   73.834805] iwlwifi 0000:00:14.3: 0x00000000 | time gp1
[   73.834807] iwlwifi 0000:00:14.3: 0x0003A403 | time gp2
[   73.834808] iwlwifi 0000:00:14.3: 0x00000001 | uCode revision type
[   73.834809] iwlwifi 0000:00:14.3: 0x0000002E | uCode version major
[   73.834811] iwlwifi 0000:00:14.3: 0xA41ADFE7 | uCode version minor
[   73.834812] iwlwifi 0000:00:14.3: 0x00000312 | hw version
[   73.834813] iwlwifi 0000:00:14.3: 0x00C89008 | board version
[   73.834814] iwlwifi 0000:00:14.3: 0x00220405 | hcmd
[   73.834816] iwlwifi 0000:00:14.3: 0x00022000 | isr0
[   73.834817] iwlwifi 0000:00:14.3: 0x00000000 | isr1
[   73.834818] iwlwifi 0000:00:14.3: 0x20001802 | isr2
[   73.834819] iwlwifi 0000:00:14.3: 0x404000C0 | isr3
[   73.834820] iwlwifi 0000:00:14.3: 0x00000000 | isr4
[   73.834822] iwlwifi 0000:00:14.3: 0x00220405 | last cmd Id
[   73.834823] iwlwifi 0000:00:14.3: 0x0001A7DA | wait_event
[   73.834824] iwlwifi 0000:00:14.3: 0x00000000 | l2p_control
[   73.834825] iwlwifi 0000:00:14.3: 0x00000020 | l2p_duration
[   73.834827] iwlwifi 0000:00:14.3: 0x00000000 | l2p_mhvalid
[   73.834828] iwlwifi 0000:00:14.3: 0x00000000 | l2p_addr_match
[   73.834829] iwlwifi 0000:00:14.3: 0x0000000D | lmpm_pmg_sel
[   73.834831] iwlwifi 0000:00:14.3: 0x19062027 | timestamp
[   73.834832] iwlwifi 0000:00:14.3: 0x00001840 | flow_handler
[   73.834978] iwlwifi 0000:00:14.3: Start IWL Error Log Dump:
[   73.834979] iwlwifi 0000:00:14.3: Status: 0x00000100, count: 7
[   73.834981] iwlwifi 0000:00:14.3: 0x20000034 | NMI_INTERRUPT_WDG
[   73.834982] iwlwifi 0000:00:14.3: 0x00000000 | umac branchlink1
[   73.834983] iwlwifi 0000:00:14.3: 0xC008884A | umac branchlink2
[   73.834985] iwlwifi 0000:00:14.3: 0xC0084C54 | umac interruptlink1
[   73.834986] iwlwifi 0000:00:14.3: 0xC0080708 | umac interruptlink2
[   73.834987] iwlwifi 0000:00:14.3: 0x00000400 | umac data1
[   73.834988] iwlwifi 0000:00:14.3: 0xC0080708 | umac data2
[   73.834990] iwlwifi 0000:00:14.3: 0xDEADBEEF | umac data3
[   73.834991] iwlwifi 0000:00:14.3: 0x0000002E | umac major
[   73.834992] iwlwifi 0000:00:14.3: 0xA41ADFE7 | umac minor
[   73.834993] iwlwifi 0000:00:14.3: 0x0003A3EB | frame pointer
[   73.834995] iwlwifi 0000:00:14.3: 0xC0886C44 | stack pointer
[   73.834996] iwlwifi 0000:00:14.3: 0x00220405 | last host cmd
[   73.834997] iwlwifi 0000:00:14.3: 0x00004008 | isr status reg
[   73.835006] ieee80211 phy0: Hardware restart was requested
[   73.835062] iwlwifi 0000:00:14.3: FW error in SYNC CMD GEO_TX_POWER_LIMIT
[   73.835066] CPU: 4 PID: 1536 Comm: wpa_supplicant Tainted: P           OE     5.1.18-300.fc30.x86_64 #1
[   73.835067] Hardware name: ASUSTeK COMPUTER INC. Strix GL504GV_G515GV/GL504GV, BIOS GL504GV.300 12/27/2018
[   73.835068] Call Trace:
[   73.835077]  dump_stack+0x5c/0x80
[   73.835091]  iwl_trans_pcie_send_hcmd+0x513/0x530 [iwlwifi]
[   73.835096]  ? finish_wait+0x80/0x80
[   73.835108]  iwl_trans_send_cmd+0x55/0xc0 [iwlwifi]
[   73.835123]  iwl_mvm_send_cmd+0x2a/0x90 [iwlmvm]
[   73.835135]  iwl_mvm_send_cmd_pdu+0x51/0x70 [iwlmvm]
[   73.835143]  iwl_mvm_up+0x9c9/0xa60 [iwlmvm]
[   73.835153]  __iwl_mvm_mac_start+0x247/0x2e0 [iwlmvm]
[   73.835162]  iwl_mvm_mac_start+0x46/0x120 [iwlmvm]
[   73.835190]  drv_start+0x43/0xf0 [mac80211]
[   73.835213]  ieee80211_do_open+0x219/0x8d0 [mac80211]
[   73.835235]  ? ieee80211_check_concurrent_iface+0x14f/0x1c0 [mac80211]
[   73.835238]  __dev_open+0xcf/0x160
[   73.835241]  __dev_change_flags+0x1a7/0x200
[   73.835243]  dev_change_flags+0x21/0x60
[   73.835247]  devinet_ioctl+0x5e0/0x720
[   73.835250]  inet_ioctl+0x15a/0x220
[   73.835254]  sock_do_ioctl+0x47/0x140
[   73.835257]  sock_ioctl+0x1b4/0x340
[   73.835262]  do_vfs_ioctl+0x405/0x660
[   73.835266]  ksys_ioctl+0x5e/0x90
[   73.835269]  __x64_sys_ioctl+0x16/0x20
[   73.835273]  do_syscall_64+0x5b/0x170
[   73.835278]  entry_SYSCALL_64_after_hwframe+0x44/0xa9
[   73.835280] RIP: 0033:0x7fc19dbc81fb
[   73.835283] Code: 0f 1e fa 48 8b 05 8d dc 0c 00 64 c7 00 26 00 00 00 48 c7 c0 ff ff ff ff c3 66 0f 1f 44 00 00 f3 0f 1e fa b8 10 00 00 00 0f 05 <48> 3d 01 f0 ff ff 73 01 c3 48 8b 0d 5d dc 0c 00 f7 d8 64 89 01 48
[   73.835285] RSP: 002b:00007ffc8184fb88 EFLAGS: 00000246 ORIG_RAX: 0000000000000010
[   73.835287] RAX: ffffffffffffffda RBX: 0000000000000001 RCX: 00007fc19dbc81fb
[   73.835288] RDX: 00007ffc8184fb90 RSI: 0000000000008914 RDI: 0000000000000009
[   73.835290] RBP: 0000000000000009 R08: 00007fc19dc96c60 R09: 0000000000000007
[   73.835291] R10: 0000000000000070 R11: 0000000000000246 R12: 0000000000000000
[   73.835292] R13: 000055d5014e89c8 R14: 00007ffc8184fb90 R15: 00007ffc8184fcf0
[   73.835319] iwlwifi 0000:00:14.3: Collecting data: trigger 2 fired.
[   73.835346] iwlwifi 0000:00:14.3: Firmware not running - cannot dump error




Expected results:
The wifi should work

Thanks !

Comment 1 Simone Marchioni 2019-07-22 21:25:37 UTC
Same problem here.
Tried to do a

dnf history undo x

but it didn't worked. Very disappointing.

Comment 2 Ondrej Jakubcik 2019-07-23 11:49:40 UTC
The same problem occurs with Intel(R) Dual Band Wireless AC 9462, REV=0x318:

Dmesg (interesting portions):
[    0.000000] microcode: microcode updated early to revision 0xb8, date = 2019-03-30
[    0.000000] Linux version 5.1.18-300.fc30.x86_64 (mockbuild@bkernel04.phx2.fedoraproject.org) (gcc version 9.1.1 20190503 (Red Hat 9.1.1-1) (GCC)) #1 SMP Mon Jul 15 15:42:34 UTC 2019
[   14.336702] Intel(R) Wireless WiFi driver for Linux
[   14.336702] Copyright(c) 2003- 2015 Intel Corporation
[   14.336765] iwlwifi 0000:00:14.3: enabling device (0000 -> 0002)
[   14.386382] iwlwifi 0000:00:14.3: Found debug destination: EXTERNAL_DRAM
[   14.386384] iwlwifi 0000:00:14.3: Found debug configuration: 0
[   14.386591] iwlwifi 0000:00:14.3: loaded firmware version 46.a41adfe7.0 op_mode iwlmvm
[   14.529928] iwlwifi 0000:00:14.3: Detected Intel(R) Dual Band Wireless AC 9462, REV=0x318
[   14.537934] iwlwifi 0000:00:14.3: Applying debug destination EXTERNAL_DRAM
[   14.538174] iwlwifi 0000:00:14.3: Allocated 0x00400000 bytes for firmware monitor.
[   15.947854] iwlwifi 0000:00:14.3: Applying debug destination EXTERNAL_DRAM
[   16.037848] iwlwifi 0000:00:14.3: Applying debug destination EXTERNAL_DRAM
[   16.101003] iwlwifi 0000:00:14.3: FW already configured (0) - re-configuring
[   16.107740] iwlwifi 0000:00:14.3: Conflict between TLV & NVM regarding enabling LAR (TLV = enabled NVM =disabled)
[   16.309761] iwlwifi 0000:00:14.3: Microcode SW error detected. Restarting 0x0.
[   16.309834] iwlwifi 0000:00:14.3: Start IWL Error Log Dump:
[   16.309835] iwlwifi 0000:00:14.3: Status: 0x00000100, count: 6
[   16.309836] iwlwifi 0000:00:14.3: Loaded firmware version: 46.a41adfe7.0
[   16.309837] iwlwifi 0000:00:14.3: 0x00000071 | NMI_INTERRUPT_UMAC_FATAL    
[   16.309838] iwlwifi 0000:00:14.3: 0x00A022F1 | trm_hw_status0
[   16.309838] iwlwifi 0000:00:14.3: 0x00000000 | trm_hw_status1
[   16.309839] iwlwifi 0000:00:14.3: 0x004880AA | branchlink2
[   16.309839] iwlwifi 0000:00:14.3: 0x0047933A | interruptlink1
[   16.309840] iwlwifi 0000:00:14.3: 0x000306DA | interruptlink2
[   16.309840] iwlwifi 0000:00:14.3: 0x0001A7DA | data1
[   16.309840] iwlwifi 0000:00:14.3: 0x00001000 | data2
[   16.309841] iwlwifi 0000:00:14.3: 0xE0000008 | data3
[   16.309841] iwlwifi 0000:00:14.3: 0x00000000 | beacon time
[   16.309842] iwlwifi 0000:00:14.3: 0x00038D43 | tsf low
[   16.309842] iwlwifi 0000:00:14.3: 0x00000000 | tsf hi
[   16.309843] iwlwifi 0000:00:14.3: 0x00000000 | time gp1
[   16.309843] iwlwifi 0000:00:14.3: 0x00038D44 | time gp2
[   16.309844] iwlwifi 0000:00:14.3: 0x00000001 | uCode revision type
[   16.309844] iwlwifi 0000:00:14.3: 0x0000002E | uCode version major
[   16.309845] iwlwifi 0000:00:14.3: 0xA41ADFE7 | uCode version minor
[   16.309845] iwlwifi 0000:00:14.3: 0x00000312 | hw version
[   16.309846] iwlwifi 0000:00:14.3: 0x00C89008 | board version
[   16.309846] iwlwifi 0000:00:14.3: 0x00210405 | hcmd
[   16.309847] iwlwifi 0000:00:14.3: 0x00122000 | isr0
[   16.309847] iwlwifi 0000:00:14.3: 0x00000000 | isr1
[   16.309848] iwlwifi 0000:00:14.3: 0x20001802 | isr2
[   16.309848] iwlwifi 0000:00:14.3: 0x404000C0 | isr3
[   16.309849] iwlwifi 0000:00:14.3: 0x00000000 | isr4
[   16.309849] iwlwifi 0000:00:14.3: 0x00210405 | last cmd Id
[   16.309850] iwlwifi 0000:00:14.3: 0x0001A7DA | wait_event
[   16.309850] iwlwifi 0000:00:14.3: 0x00000000 | l2p_control
[   16.309851] iwlwifi 0000:00:14.3: 0x00000820 | l2p_duration
[   16.309851] iwlwifi 0000:00:14.3: 0x00000000 | l2p_mhvalid
[   16.309851] iwlwifi 0000:00:14.3: 0x00000000 | l2p_addr_match
[   16.309852] iwlwifi 0000:00:14.3: 0x0000000D | lmpm_pmg_sel
[   16.309852] iwlwifi 0000:00:14.3: 0x19062027 | timestamp
[   16.309853] iwlwifi 0000:00:14.3: 0x00001840 | flow_handler
[   16.309895] iwlwifi 0000:00:14.3: Start IWL Error Log Dump:
[   16.309896] iwlwifi 0000:00:14.3: Status: 0x00000100, count: 7
[   16.309896] iwlwifi 0000:00:14.3: 0x20000034 | NMI_INTERRUPT_WDG
[   16.309897] iwlwifi 0000:00:14.3: 0x00000000 | umac branchlink1
[   16.309897] iwlwifi 0000:00:14.3: 0xC008884A | umac branchlink2
[   16.309898] iwlwifi 0000:00:14.3: 0xC0084C54 | umac interruptlink1
[   16.309898] iwlwifi 0000:00:14.3: 0xC0080708 | umac interruptlink2
[   16.309899] iwlwifi 0000:00:14.3: 0x00000400 | umac data1
[   16.309899] iwlwifi 0000:00:14.3: 0xC0080708 | umac data2
[   16.309900] iwlwifi 0000:00:14.3: 0xDEADBEEF | umac data3
[   16.309900] iwlwifi 0000:00:14.3: 0x0000002E | umac major
[   16.309901] iwlwifi 0000:00:14.3: 0xA41ADFE7 | umac minor
[   16.309901] iwlwifi 0000:00:14.3: 0x00038D2A | frame pointer
[   16.309901] iwlwifi 0000:00:14.3: 0xC0886C44 | stack pointer
[   16.309902] iwlwifi 0000:00:14.3: 0x00210405 | last host cmd
[   16.309902] iwlwifi 0000:00:14.3: 0x00004008 | isr status reg
[   16.309905] ieee80211 phy0: Hardware restart was requested
[   16.309913] iwlwifi 0000:00:14.3: iwlwifi transaction failed, dumping registers
[   16.309914] iwlwifi 0000:00:14.3: iwlwifi device config registers:
[   16.309941] iwlwifi 0000:00:14.3: 00000000: 9df08086 00100406 02800030 00800010 a131c004 00000000 00000000 00000000
[   16.309942] iwlwifi 0000:00:14.3: 00000020: 00000000 00000000 00000000 42a48086 00000000 000000c8 00000000 000001ff
[   16.309943] iwlwifi 0000:00:14.3: iwlwifi device memory mapped registers:
[   16.309965] iwlwifi 0000:00:14.3: 00000000: 00c89008 00000040 00000000 00000000 00000000 00000000 00000000 00000000
[   16.309966] iwlwifi 0000:00:14.3: 00000020: 00000000 0c040005 00000312 d55555d5 d55555d5 d55555d5 80008040 041f0040
[   16.309977] iwlwifi 0000:00:14.3: FW error in SYNC CMD GEO_TX_POWER_LIMIT
[   16.309979] CPU: 6 PID: 1592 Comm: NetworkManager Not tainted 5.1.18-300.fc30.x86_64 #1
[   16.309979] Hardware name: Dell Inc. Vostro 5481/0PK27Y, BIOS 2.2.0 03/24/2019
[   16.309980] Call Trace:
[   16.309985]  dump_stack+0x5c/0x80
[   16.309993]  iwl_trans_pcie_send_hcmd+0x513/0x530 [iwlwifi]
[   16.309996]  ? finish_wait+0x80/0x80
[   16.310000]  iwl_trans_send_cmd+0x55/0xc0 [iwlwifi]
[   16.310007]  iwl_mvm_send_cmd+0x2a/0x90 [iwlmvm]
[   16.310012]  iwl_mvm_send_cmd_pdu+0x51/0x70 [iwlmvm]
[   16.310016]  iwl_mvm_up+0x9c9/0xa60 [iwlmvm]
[   16.310020]  __iwl_mvm_mac_start+0x247/0x2e0 [iwlmvm]
[   16.310024]  iwl_mvm_mac_start+0x46/0x120 [iwlmvm]
[   16.310026]  ? igmpv3_del_delrec+0xe3/0x130
[   16.310041]  drv_start+0x43/0xf0 [mac80211]
[   16.310051]  ieee80211_do_open+0x219/0x8d0 [mac80211]
[   16.310061]  ? ieee80211_check_concurrent_iface+0x14f/0x1c0 [mac80211]
[   16.310063]  __dev_open+0xcf/0x160
[   16.310064]  __dev_change_flags+0x1a7/0x200
[   16.310065]  dev_change_flags+0x21/0x60
[   16.310067]  do_setlink+0x68b/0xdd0
[   16.310069]  ? __nla_parse+0xf6/0x120
[   16.310071]  ? cpumask_next+0x17/0x20
[   16.310072]  ? __snmp6_fill_stats64.isra.0+0x66/0x110
[   16.310073]  ? __nla_parse+0x33/0x120
[   16.310074]  __rtnl_newlink+0x545/0x8b0
[   16.310076]  ? __nla_reserve+0x38/0x50
[   16.310078]  ? security_sock_rcv_skb+0x34/0x50
[   16.310079]  ? sk_filter_trim_cap+0x46/0x200
[   16.310081]  ? netlink_attachskb+0x1b8/0x1d0
[   16.310083]  ? skb_queue_tail+0x1b/0x50
[   16.310084]  ? __netlink_sendskb+0x3b/0x50
[   16.310086]  ? sk_filter_trim_cap+0x46/0x200
[   16.310088]  ? _cond_resched+0x15/0x30
[   16.310090]  ? kmem_cache_alloc_trace+0x154/0x1c0
[   16.310091]  rtnl_newlink+0x44/0x70
[   16.310092]  rtnetlink_rcv_msg+0x2b0/0x360
[   16.310093]  ? rtnl_calcit.isra.0+0x100/0x100
[   16.310094]  netlink_rcv_skb+0x49/0x110
[   16.310095]  netlink_unicast+0x171/0x200
[   16.310097]  netlink_sendmsg+0x202/0x3d0
[   16.310098]  sock_sendmsg+0x39/0x50
[   16.310099]  ___sys_sendmsg+0x2a4/0x300
[   16.310101]  ? __do_proc_dointvec+0x20c/0x400
[   16.310102]  ? __rtnl_unlock+0x24/0x40
[   16.310103]  ? netdev_run_todo+0x5f/0x2a0
[   16.310104]  ? addrconf_sysctl_forward+0x110/0x250
[   16.310106]  ? lockref_put_or_lock+0x45/0x70
[   16.310108]  ? proc_sys_revalidate+0x30/0x30
[   16.310109]  __sys_sendmsg+0x59/0xa0
[   16.310111]  do_syscall_64+0x5b/0x170
[   16.310113]  entry_SYSCALL_64_after_hwframe+0x44/0xa9
[   16.310115] RIP: 0033:0x7fe3af0ddb7d
[   16.310116] Code: 28 89 54 24 1c 48 89 74 24 10 89 7c 24 08 e8 ca ec ff ff 8b 54 24 1c 48 8b 74 24 10 41 89 c0 8b 7c 24 08 b8 2e 00 00 00 0f 05 <48> 3d 00 f0 ff ff 77 2f 44 89 c7 48 89 44 24 08 e8 fe ec ff ff 48
[   16.310117] RSP: 002b:00007ffeff3bcb30 EFLAGS: 00000293 ORIG_RAX: 000000000000002e
[   16.310118] RAX: ffffffffffffffda RBX: 000055851231fb80 RCX: 00007fe3af0ddb7d
[   16.310118] RDX: 0000000000000000 RSI: 00007ffeff3bcb80 RDI: 000000000000000c
[   16.310119] RBP: 00007ffeff3bcb80 R08: 0000000000000000 R09: 0000000000000000
[   16.310119] R10: 0000000000000070 R11: 0000000000000293 R12: 000055851231fb80
[   16.310120] R13: 00007ffeff3bcd38 R14: 00007ffeff3bcd2c R15: 0000000000000000
[   16.310122] iwlwifi 0000:00:14.3: Collecting data: trigger 2 fired.
[   16.310124] iwlwifi 0000:00:14.3: Firmware not running - cannot dump error
[   16.330097] iwlwifi 0000:00:14.3: Applying debug destination EXTERNAL_DRAM

These are the details of update:
    Instalovat kernel-5.1.18-300.fc30.x86_64                        @updates
    Instalovat kernel-core-5.1.18-300.fc30.x86_64                   @updates
    Instalovat kernel-modules-5.1.18-300.fc30.x86_64                @updates
    Instalovat kernel-modules-extra-5.1.18-300.fc30.x86_64          @updates
    Upgrade    autocorr-en-1:6.2.5.2-1.fc30.noarch                  @updates
    Upgraded   autocorr-en-1:6.2.4.2-4.fc30.noarch                  @@System
    Upgrade    bind-export-libs-32:9.11.8-1.fc30.x86_64             @updates
    Upgraded   bind-export-libs-32:9.11.6-5.P1.fc30.x86_64          @@System
    Upgrade    bind-libs-32:9.11.8-1.fc30.x86_64                    @updates
    Upgraded   bind-libs-32:9.11.6-5.P1.fc30.x86_64                 @@System
    Upgrade    bind-libs-lite-32:9.11.8-1.fc30.x86_64               @updates
    Upgraded   bind-libs-lite-32:9.11.6-5.P1.fc30.x86_64            @@System
    Upgrade    bind-license-32:9.11.8-1.fc30.noarch                 @updates
    Upgraded   bind-license-32:9.11.6-5.P1.fc30.noarch              @@System
    Upgrade    bind-utils-32:9.11.8-1.fc30.x86_64                   @updates
    Upgraded   bind-utils-32:9.11.6-5.P1.fc30.x86_64                @@System
    Upgrade    cppcheck-1.88-1.fc30.x86_64                          @updates
    Upgraded   cppcheck-1.87-1.fc30.x86_64                          @@System
    Upgrade    dhcp-client-12:4.3.6-35.fc30.x86_64                  @updates
    Upgraded   dhcp-client-12:4.3.6-34.fc30.x86_64                  @@System
    Upgrade    dhcp-common-12:4.3.6-35.fc30.noarch                  @updates
    Upgraded   dhcp-common-12:4.3.6-34.fc30.noarch                  @@System
    Upgrade    dhcp-libs-12:4.3.6-35.fc30.x86_64                    @updates
    Upgraded   dhcp-libs-12:4.3.6-34.fc30.x86_64                    @@System
    Upgrade    evolution-data-server-3.32.4-1.fc30.x86_64           @updates
    Upgraded   evolution-data-server-3.32.3-1.fc30.x86_64           @@System
    Upgrade    evolution-data-server-langpacks-3.32.4-1.fc30.noarch @updates
    Upgraded   evolution-data-server-langpacks-3.32.3-1.fc30.noarch @@System
    Upgrade    gnupg2-2.2.17-1.fc30.x86_64                          @updates
    Upgraded   gnupg2-2.2.16-1.fc30.x86_64                          @@System
    Upgrade    gnupg2-smime-2.2.17-1.fc30.x86_64                    @updates
    Upgraded   gnupg2-smime-2.2.16-1.fc30.x86_64                    @@System
    Upgrade    gvfs-1.40.2-1.fc30.x86_64                            @updates
    Upgraded   gvfs-1.40.1-2.fc30.x86_64                            @@System
    Upgrade    gvfs-afc-1.40.2-1.fc30.x86_64                        @updates
    Upgraded   gvfs-afc-1.40.1-2.fc30.x86_64                        @@System
    Upgrade    gvfs-afp-1.40.2-1.fc30.x86_64                        @updates
    Upgraded   gvfs-afp-1.40.1-2.fc30.x86_64                        @@System
    Upgrade    gvfs-archive-1.40.2-1.fc30.x86_64                    @updates
    Upgraded   gvfs-archive-1.40.1-2.fc30.x86_64                    @@System
    Upgrade    gvfs-client-1.40.2-1.fc30.x86_64                     @updates
    Upgraded   gvfs-client-1.40.1-2.fc30.x86_64                     @@System
    Upgrade    gvfs-fuse-1.40.2-1.fc30.x86_64                       @updates
    Upgraded   gvfs-fuse-1.40.1-2.fc30.x86_64                       @@System
    Upgrade    gvfs-goa-1.40.2-1.fc30.x86_64                        @updates
    Upgraded   gvfs-goa-1.40.1-2.fc30.x86_64                        @@System
    Upgrade    gvfs-gphoto2-1.40.2-1.fc30.x86_64                    @updates
    Upgraded   gvfs-gphoto2-1.40.1-2.fc30.x86_64                    @@System
    Upgrade    gvfs-mtp-1.40.2-1.fc30.x86_64                        @updates
    Upgraded   gvfs-mtp-1.40.1-2.fc30.x86_64                        @@System
    Upgrade    gvfs-smb-1.40.2-1.fc30.x86_64                        @updates
    Upgraded   gvfs-smb-1.40.1-2.fc30.x86_64                        @@System
    Upgrade    hplip-3.19.6-1.fc30.x86_64                           @updates
    Upgraded   hplip-3.18.12-13.fc30.x86_64                         @@System
    Upgrade    hplip-common-3.19.6-1.fc30.x86_64                    @updates
    Upgraded   hplip-common-3.18.12-13.fc30.x86_64                  @@System
    Upgrade    hplip-libs-3.19.6-1.fc30.x86_64                      @updates
    Upgraded   hplip-libs-3.18.12-13.fc30.x86_64                    @@System
    Upgrade    ipset-7.2-1.fc30.x86_64                              @updates
    Upgraded   ipset-6.38-2.fc30.x86_64                             @@System
    Upgrade    ipset-libs-7.2-1.fc30.x86_64                         @updates
    Upgraded   ipset-libs-6.38-2.fc30.x86_64                        @@System
    Upgrade    iwl100-firmware-39.31.5.1-99.fc30.noarch             @updates
    Upgraded   iwl100-firmware-39.31.5.1-97.fc30.noarch             @@System
    Upgrade    iwl1000-firmware-1:39.31.5.1-99.fc30.noarch          @updates
    Upgraded   iwl1000-firmware-1:39.31.5.1-97.fc30.noarch          @@System
    Upgrade    iwl105-firmware-18.168.6.1-99.fc30.noarch            @updates
    Upgraded   iwl105-firmware-18.168.6.1-97.fc30.noarch            @@System
    Upgrade    iwl135-firmware-18.168.6.1-99.fc30.noarch            @updates
    Upgraded   iwl135-firmware-18.168.6.1-97.fc30.noarch            @@System
    Upgrade    iwl2000-firmware-18.168.6.1-99.fc30.noarch           @updates
    Upgraded   iwl2000-firmware-18.168.6.1-97.fc30.noarch           @@System
    Upgrade    iwl2030-firmware-18.168.6.1-99.fc30.noarch           @updates
    Upgraded   iwl2030-firmware-18.168.6.1-97.fc30.noarch           @@System
    Upgrade    iwl3160-firmware-1:25.30.13.0-99.fc30.noarch         @updates
    Upgraded   iwl3160-firmware-1:25.30.13.0-97.fc30.noarch         @@System
    Upgrade    iwl3945-firmware-15.32.2.9-99.fc30.noarch            @updates
    Upgraded   iwl3945-firmware-15.32.2.9-97.fc30.noarch            @@System
    Upgrade    iwl4965-firmware-228.61.2.24-99.fc30.noarch          @updates
    Upgraded   iwl4965-firmware-228.61.2.24-97.fc30.noarch          @@System
    Upgrade    iwl5000-firmware-8.83.5.1_1-99.fc30.noarch           @updates
    Upgraded   iwl5000-firmware-8.83.5.1_1-97.fc30.noarch           @@System
    Upgrade    iwl5150-firmware-8.24.2.2-99.fc30.noarch             @updates
    Upgraded   iwl5150-firmware-8.24.2.2-97.fc30.noarch             @@System
    Upgrade    iwl6000-firmware-9.221.4.1-99.fc30.noarch            @updates
    Upgraded   iwl6000-firmware-9.221.4.1-97.fc30.noarch            @@System
    Upgrade    iwl6000g2a-firmware-18.168.6.1-99.fc30.noarch        @updates
    Upgraded   iwl6000g2a-firmware-18.168.6.1-97.fc30.noarch        @@System
    Upgrade    iwl6000g2b-firmware-18.168.6.1-99.fc30.noarch        @updates
    Upgraded   iwl6000g2b-firmware-18.168.6.1-97.fc30.noarch        @@System
    Upgrade    iwl6050-firmware-41.28.5.1-99.fc30.noarch            @updates
    Upgraded   iwl6050-firmware-41.28.5.1-97.fc30.noarch            @@System
    Upgrade    iwl7260-firmware-1:25.30.13.0-99.fc30.noarch         @updates
    Upgraded   iwl7260-firmware-1:25.30.13.0-97.fc30.noarch         @@System
    Upgrade    kernel-headers-5.1.18-300.fc30.x86_64                @updates
    Upgraded   kernel-headers-5.1.17-300.fc30.x86_64                @@System
    Upgrade    langtable-0.0.43-3.fc30.noarch                       @updates
    Upgraded   langtable-0.0.43-2.fc30.noarch                       @@System
    Upgrade    langtable-data-0.0.43-3.fc30.noarch                  @updates
    Upgraded   langtable-data-0.0.43-2.fc30.noarch                  @@System
    Upgrade    libbytesize-2.1-1.fc30.x86_64                        @updates
    Upgraded   libbytesize-2.0-1.fc30.x86_64                        @@System
    Upgrade    libertas-usb8388-firmware-2:20190717-99.fc30.noarch  @updates
    Upgraded   libertas-usb8388-firmware-2:20190618-97.fc30.noarch  @@System
    Upgrade    libreoffice-calc-1:6.2.5.2-1.fc30.x86_64             @updates
    Upgraded   libreoffice-calc-1:6.2.4.2-4.fc30.x86_64             @@System
    Upgrade    libreoffice-core-1:6.2.5.2-1.fc30.x86_64             @updates
    Upgraded   libreoffice-core-1:6.2.4.2-4.fc30.x86_64             @@System
    Upgrade    libreoffice-data-1:6.2.5.2-1.fc30.noarch             @updates
    Upgraded   libreoffice-data-1:6.2.4.2-4.fc30.noarch             @@System
    Upgrade    libreoffice-draw-1:6.2.5.2-1.fc30.x86_64             @updates
    Upgraded   libreoffice-draw-1:6.2.4.2-4.fc30.x86_64             @@System
    Upgrade    libreoffice-emailmerge-1:6.2.5.2-1.fc30.x86_64       @updates
    Upgraded   libreoffice-emailmerge-1:6.2.4.2-4.fc30.x86_64       @@System
    Upgrade    libreoffice-filters-1:6.2.5.2-1.fc30.x86_64          @updates
    Upgraded   libreoffice-filters-1:6.2.4.2-4.fc30.x86_64          @@System
    Upgrade    libreoffice-graphicfilter-1:6.2.5.2-1.fc30.x86_64    @updates
    Upgraded   libreoffice-graphicfilter-1:6.2.4.2-4.fc30.x86_64    @@System
    Upgrade    libreoffice-gtk3-1:6.2.5.2-1.fc30.x86_64             @updates
    Upgraded   libreoffice-gtk3-1:6.2.4.2-4.fc30.x86_64             @@System
    Upgrade    libreoffice-help-en-1:6.2.5.2-1.fc30.x86_64          @updates
    Upgraded   libreoffice-help-en-1:6.2.4.2-4.fc30.x86_64          @@System
    Upgrade    libreoffice-impress-1:6.2.5.2-1.fc30.x86_64          @updates
    Upgraded   libreoffice-impress-1:6.2.4.2-4.fc30.x86_64          @@System
    Upgrade    libreoffice-langpack-en-1:6.2.5.2-1.fc30.x86_64      @updates
    Upgraded   libreoffice-langpack-en-1:6.2.4.2-4.fc30.x86_64      @@System
    Upgrade    libreoffice-math-1:6.2.5.2-1.fc30.x86_64             @updates
    Upgraded   libreoffice-math-1:6.2.4.2-4.fc30.x86_64             @@System
    Upgrade    libreoffice-opensymbol-fonts-1:6.2.5.2-1.fc30.noarch @updates
    Upgraded   libreoffice-opensymbol-fonts-1:6.2.4.2-4.fc30.noarch @@System
    Upgrade    libreoffice-pdfimport-1:6.2.5.2-1.fc30.x86_64        @updates
    Upgraded   libreoffice-pdfimport-1:6.2.4.2-4.fc30.x86_64        @@System
    Upgrade    libreoffice-pyuno-1:6.2.5.2-1.fc30.x86_64            @updates
    Upgraded   libreoffice-pyuno-1:6.2.4.2-4.fc30.x86_64            @@System
    Upgrade    libreoffice-ure-1:6.2.5.2-1.fc30.x86_64              @updates
    Upgraded   libreoffice-ure-1:6.2.4.2-4.fc30.x86_64              @@System
    Upgrade    libreoffice-ure-common-1:6.2.5.2-1.fc30.noarch       @updates
    Upgraded   libreoffice-ure-common-1:6.2.4.2-4.fc30.noarch       @@System
    Upgrade    libreoffice-writer-1:6.2.5.2-1.fc30.x86_64           @updates
    Upgraded   libreoffice-writer-1:6.2.4.2-4.fc30.x86_64           @@System
    Upgrade    libreoffice-x11-1:6.2.5.2-1.fc30.x86_64              @updates
    Upgraded   libreoffice-x11-1:6.2.4.2-4.fc30.x86_64              @@System
    Upgrade    libreoffice-xsltfilter-1:6.2.5.2-1.fc30.x86_64       @updates
    Upgraded   libreoffice-xsltfilter-1:6.2.4.2-4.fc30.x86_64       @@System
    Upgrade    librsvg2-2.45.7-1.fc30.x86_64                        @updates
    Upgraded   librsvg2-2.45.6-1.fc30.x86_64                        @@System
    Upgrade    libsane-hpaio-3.19.6-1.fc30.x86_64                   @updates
    Upgraded   libsane-hpaio-3.18.12-13.fc30.x86_64                 @@System
    Upgrade    libshaderc-2019.0-1.fc30.x86_64                      @updates
    Upgraded   libshaderc-2018.0-2.fc30.x86_64                      @@System
    Upgrade    linux-firmware-20190717-99.fc30.noarch               @updates
    Upgraded   linux-firmware-20190618-97.fc30.noarch               @@System
    Upgrade    linux-firmware-whence-20190717-99.fc30.noarch        @updates
    Upgraded   linux-firmware-whence-20190618-97.fc30.noarch        @@System
    Upgrade    osinfo-db-20190611-1.fc30.noarch                     @updates
    Upgraded   osinfo-db-20190504-1.fc30.noarch                     @@System
    Upgrade    plymouth-0.9.4-7.fc30.x86_64                         @updates
    Upgraded   plymouth-0.9.4-6.fc30.x86_64                         @@System
    Upgrade    plymouth-core-libs-0.9.4-7.fc30.x86_64               @updates
    Upgraded   plymouth-core-libs-0.9.4-6.fc30.x86_64               @@System
    Upgrade    plymouth-graphics-libs-0.9.4-7.fc30.x86_64           @updates
    Upgraded   plymouth-graphics-libs-0.9.4-6.fc30.x86_64           @@System
    Upgrade    plymouth-plugin-label-0.9.4-7.fc30.x86_64            @updates
    Upgraded   plymouth-plugin-label-0.9.4-6.fc30.x86_64            @@System
    Upgrade    plymouth-plugin-two-step-0.9.4-7.fc30.x86_64         @updates
    Upgraded   plymouth-plugin-two-step-0.9.4-6.fc30.x86_64         @@System
    Upgrade    plymouth-scripts-0.9.4-7.fc30.x86_64                 @updates
    Upgraded   plymouth-scripts-0.9.4-6.fc30.x86_64                 @@System
    Upgrade    plymouth-system-theme-0.9.4-7.fc30.x86_64            @updates
    Upgraded   plymouth-system-theme-0.9.4-6.fc30.x86_64            @@System
    Upgrade    plymouth-theme-spinner-0.9.4-7.fc30.x86_64           @updates
    Upgraded   plymouth-theme-spinner-0.9.4-6.fc30.x86_64           @@System
    Upgrade    podman-2:1.4.4-4.fc30.x86_64                         @updates
    Upgraded   podman-2:1.4.4-3.fc30.x86_64                         @@System
    Upgrade    podman-manpages-2:1.4.4-4.fc30.noarch                @updates
    Upgraded   podman-manpages-2:1.4.4-3.fc30.noarch                @@System
    Upgrade    python3-bytesize-2.1-1.fc30.x86_64                   @updates
    Upgraded   python3-bytesize-2.0-1.fc30.x86_64                   @@System
    Upgrade    python3-langtable-0.0.43-3.fc30.noarch               @updates
    Upgraded   python3-langtable-0.0.43-2.fc30.noarch               @@System
    Upgrade    qt5-qtbase-5.12.4-3.fc30.x86_64                      @updates
    Upgraded   qt5-qtbase-5.12.4-1.fc30.x86_64                      @@System
    Upgrade    qt5-qtbase-common-5.12.4-3.fc30.noarch               @updates
    Upgraded   qt5-qtbase-common-5.12.4-1.fc30.noarch               @@System
    Upgrade    qt5-qtbase-gui-5.12.4-3.fc30.x86_64                  @updates
    Upgraded   qt5-qtbase-gui-5.12.4-1.fc30.x86_64                  @@System
    Upgrade    qt5-qtwayland-5.12.4-4.fc30.x86_64                   @updates
    Upgraded   qt5-qtwayland-5.12.4-3.fc30.x86_64                   @@System
    Upgrade    selinux-policy-3.14.3-41.fc30.noarch                 @updates
    Upgraded   selinux-policy-3.14.3-40.fc30.noarch                 @@System
    Upgrade    selinux-policy-targeted-3.14.3-41.fc30.noarch        @updates
    Upgraded   selinux-policy-targeted-3.14.3-40.fc30.noarch        @@System
    Upgrade    totem-1:3.32.1-1.fc30.x86_64                         @updates
    Upgraded   totem-1:3.32.0-1.fc30.x86_64                         @@System
    Upgrade    vim-minimal-2:8.1.1713-1.fc30.x86_64                 @updates
    Upgraded   vim-minimal-2:8.1.1661-1.fc30.x86_64                 @@System
    Upgrade    xen-libs-4.11.2-1.fc30.x86_64                        @updates
    Upgraded   xen-libs-4.11.1-6.fc30.x86_64                        @@System
    Upgrade    xen-licenses-4.11.2-1.fc30.x86_64                    @updates
    Upgraded   xen-licenses-4.11.1-6.fc30.x86_64                    @@System
    Removed    kernel-5.1.12-300.fc30.x86_64                        @@System
    Removed    kernel-core-5.1.12-300.fc30.x86_64                   @@System
    Removed    kernel-modules-5.1.12-300.fc30.x86_64                @@System
    Removed    kernel-modules-extra-5.1.12-300.fc30.x86_64          @@System

Previous version or the stock kernel available from installation USB worked fine.

Comment 3 Ondrej Jakubcik 2019-07-23 12:04:17 UTC
Possibly related to https://bugzilla.kernel.org/show_bug.cgi?id=204167.

Comment 4 Ondrej Jakubcik 2019-07-23 13:17:57 UTC
Downgrade to iwl7260-firmware-25.30.13.0-94.fc30.noarch.rpm helped. I don't consider this to be a full solution, rather a workaround.

Comment 5 Jasper Siero 2019-07-24 10:15:18 UTC
I have have the same problem here:
Dell inspiron 15 7586 laptops with Intel Corporation Wireless-AC 9560 running Fedora 30

It happened after updating the iwl firmware:
 iwl100-firmware                                                    noarch                                         39.31.5.1-99.fc30                                               updates                                              130 k
 iwl1000-firmware                                                   noarch                                         1:39.31.5.1-99.fc30                                             updates                                              194 k
 iwl105-firmware                                                    noarch                                         18.168.6.1-99.fc30                                              updates                                              215 k
 iwl135-firmware                                                    noarch                                         18.168.6.1-99.fc30                                              updates                                              224 k
 iwl2000-firmware                                                   noarch                                         18.168.6.1-99.fc30                                              updates                                              217 k
 iwl2030-firmware                                                   noarch                                         18.168.6.1-99.fc30                                              updates                                              226 k
 iwl3160-firmware                                                   noarch                                         1:25.30.13.0-99.fc30                                            updates                                              1.6 M
 iwl3945-firmware                                                   noarch                                         15.32.2.9-99.fc30                                               updates                                               69 k
 iwl4965-firmware                                                   noarch                                         228.61.2.24-99.fc30                                             updates                                               82 k
 iwl5000-firmware                                                   noarch                                         8.83.5.1_1-99.fc30                                              updates                                              275 k
 iwl5150-firmware                                                   noarch                                         8.24.2.2-99.fc30                                                updates                                              127 k
 iwl6000-firmware                                                   noarch                                         9.221.4.1-99.fc30                                               updates                                              147 k
 iwl6000g2a-firmware                                                noarch                                         18.168.6.1-99.fc30                                              updates                                              290 k
 iwl6000g2b-firmware                                                noarch                                         18.168.6.1-99.fc30                                              updates                                              291 k
 iwl6050-firmware                                                   noarch                                         41.28.5.1-99.fc30                                               updates                                              223 k
 iwl7260-firmware                                                   noarch                                         1:25.30.13.0-99.fc30

Comment 6 Rolf Fokkens 2019-07-24 12:29:54 UTC
Same problem here! Wifi HW is Intel AC 9560, updating iwl7260-firmware rendered my laptop useless.

Comment 7 Robert Van Voorhees 2019-07-26 17:40:41 UTC
Same problem: Dell Inc. Precision 5530/066WMR, BIOS 1.10.1 04/26/2019

Linux hostname 5.1.19-300.fc30.x86_64 #1 SMP Mon Jul 22 16:32:45 UTC 2019 x86_64 x86_64 x86_64 GNU/Linux

[   10.707740] iwlwifi 0000:3b:00.0: Detected Intel(R) Wireless-AC 9260 160MHz, REV=0x324
[   10.723064] iwlwifi 0000:3b:00.0: Applying debug destination EXTERNAL_DRAM
[   10.723279] iwlwifi 0000:3b:00.0: Allocated 0x00400000 bytes for firmware monitor.

$ sudo lspci -nnk|grep Network -A 3
3b:00.0 Network controller [0280]: Intel Corporation Wireless-AC 9260 [8086:2526] (rev 29)
	Subsystem: Intel Corporation Device [8086:4010]
	Kernel driver in use: iwlwifi
	Kernel modules: iwlwifi

[   30.877559] iwlwifi 0000:3b:00.0: RF_KILL bit toggled to enable radio.
[   30.877565] iwlwifi 0000:3b:00.0: reporting RF_KILL (radio enabled)
[   30.893234] iwlwifi 0000:3b:00.0: Applying debug destination EXTERNAL_DRAM
[   31.021306] iwlwifi 0000:3b:00.0: Applying debug destination EXTERNAL_DRAM
[   31.105082] iwlwifi 0000:3b:00.0: FW already configured (0) - re-configuring
[   31.326772] iwlwifi 0000:3b:00.0: Microcode SW error detected. Restarting 0x0.
[   31.329183] iwlwifi 0000:3b:00.0: Start IWL Error Log Dump:
[   31.329188] iwlwifi 0000:3b:00.0: Status: 0x00000100, count: 6
[   31.329191] iwlwifi 0000:3b:00.0: Loaded firmware version: 46.a41adfe7.0
[   31.329195] iwlwifi 0000:3b:00.0: 0x00000071 | NMI_INTERRUPT_UMAC_FATAL    
[   31.329198] iwlwifi 0000:3b:00.0: 0x00A022F0 | trm_hw_status0
[   31.329202] iwlwifi 0000:3b:00.0: 0x00000000 | trm_hw_status1
[   31.329205] iwlwifi 0000:3b:00.0: 0x004882F2 | branchlink2
[   31.329207] iwlwifi 0000:3b:00.0: 0x004793A2 | interruptlink1
[   31.329210] iwlwifi 0000:3b:00.0: 0x00480EA2 | interruptlink2
[   31.329213] iwlwifi 0000:3b:00.0: 0x0001A7D2 | data1
[   31.329215] iwlwifi 0000:3b:00.0: 0x00001000 | data2
[   31.329218] iwlwifi 0000:3b:00.0: 0xE0000008 | data3
[   31.329221] iwlwifi 0000:3b:00.0: 0x00000000 | beacon time
[   31.329224] iwlwifi 0000:3b:00.0: 0x00040429 | tsf low
[   31.329227] iwlwifi 0000:3b:00.0: 0x00000000 | tsf hi
[   31.329229] iwlwifi 0000:3b:00.0: 0x00000000 | time gp1
[   31.329232] iwlwifi 0000:3b:00.0: 0x00040429 | time gp2
[   31.329235] iwlwifi 0000:3b:00.0: 0x00000001 | uCode revision type
[   31.329238] iwlwifi 0000:3b:00.0: 0x0000002E | uCode version major
[   31.329241] iwlwifi 0000:3b:00.0: 0xA41ADFE7 | uCode version minor
[   31.329243] iwlwifi 0000:3b:00.0: 0x00000321 | hw version
[   31.329246] iwlwifi 0000:3b:00.0: 0x00489004 | board version
[   31.329249] iwlwifi 0000:3b:00.0: 0x00240405 | hcmd
[   31.329251] iwlwifi 0000:3b:00.0: 0x00022000 | isr0
[   31.329254] iwlwifi 0000:3b:00.0: 0x00000000 | isr1
[   31.329257] iwlwifi 0000:3b:00.0: 0x20001802 | isr2
[   31.329260] iwlwifi 0000:3b:00.0: 0x404000C0 | isr3
[   31.329262] iwlwifi 0000:3b:00.0: 0x00000000 | isr4
[   31.329265] iwlwifi 0000:3b:00.0: 0x00240405 | last cmd Id
[   31.329268] iwlwifi 0000:3b:00.0: 0x0001A7D2 | wait_event
[   31.329270] iwlwifi 0000:3b:00.0: 0x00000000 | l2p_control
[   31.329273] iwlwifi 0000:3b:00.0: 0x00000020 | l2p_duration
[   31.329276] iwlwifi 0000:3b:00.0: 0x00000000 | l2p_mhvalid
[   31.329283] iwlwifi 0000:3b:00.0: 0x00000000 | l2p_addr_match
[   31.329286] iwlwifi 0000:3b:00.0: 0x0000000D | lmpm_pmg_sel
[   31.329289] iwlwifi 0000:3b:00.0: 0x19062027 | timestamp
[   31.329296] iwlwifi 0000:3b:00.0: 0x00001840 | flow_handler
[   31.330245] iwlwifi 0000:3b:00.0: Start IWL Error Log Dump:
[   31.330248] iwlwifi 0000:3b:00.0: Status: 0x00000100, count: 7
[   31.330251] iwlwifi 0000:3b:00.0: 0x20000034 | NMI_INTERRUPT_WDG
[   31.330254] iwlwifi 0000:3b:00.0: 0x00000000 | umac branchlink1
[   31.330257] iwlwifi 0000:3b:00.0: 0xC008887A | umac branchlink2
[   31.330259] iwlwifi 0000:3b:00.0: 0xC0084C80 | umac interruptlink1
[   31.330262] iwlwifi 0000:3b:00.0: 0xC0080708 | umac interruptlink2
[   31.330265] iwlwifi 0000:3b:00.0: 0x00000400 | umac data1
[   31.330267] iwlwifi 0000:3b:00.0: 0xC0080708 | umac data2
[   31.330270] iwlwifi 0000:3b:00.0: 0xDEADBEEF | umac data3
[   31.330273] iwlwifi 0000:3b:00.0: 0x0000002E | umac major
[   31.330275] iwlwifi 0000:3b:00.0: 0xA41ADFE7 | umac minor
[   31.330278] iwlwifi 0000:3b:00.0: 0x00040410 | frame pointer
[   31.330281] iwlwifi 0000:3b:00.0: 0xC0886C44 | stack pointer
[   31.330284] iwlwifi 0000:3b:00.0: 0x00240405 | last host cmd
[   31.330286] iwlwifi 0000:3b:00.0: 0x00004008 | isr status reg
[   31.330298] ieee80211 phy0: Hardware restart was requested
[   31.330336] iwlwifi 0000:3b:00.0: iwlwifi transaction failed, dumping registers
[   31.330343] iwlwifi 0000:3b:00.0: iwlwifi device config registers:
[   31.331210] iwlwifi 0000:3b:00.0: 00000000: 25268086 00100406 02800029 00000010 ed400004 00000000 00000000 00000000
[   31.331216] iwlwifi 0000:3b:00.0: 00000020: 00000000 00000000 00000000 40108086 00000000 000000c8 00000000 000001ff
[   31.331219] iwlwifi 0000:3b:00.0: iwlwifi device memory mapped registers:
[   31.331961] iwlwifi 0000:3b:00.0: 00000000: 00489004 00000040 00000000 00000000 00000000 00000000 00027e1f 00000000
[   31.331962] iwlwifi 0000:3b:00.0: 00000020: 00000000 0c040005 00000321 d55555d5 d55555d5 d55555d5 80008040 041f0042
[   31.332013] iwlwifi 0000:3b:00.0: iwlwifi device AER capability structure:
[   31.332086] iwlwifi 0000:3b:00.0: 00000000: 14c10001 00000000 00000000 00462031 00000000 00002000 00000000 00000000
[   31.332086] iwlwifi 0000:3b:00.0: 00000020: 00000000 00000000 00000000
[   31.332087] iwlwifi 0000:3b:00.0: iwlwifi parent port (0000:00:1c.0) config registers:
[   31.332123] iwlwifi 0000:00:1c.0: 00000000: a3388086 00100407 060400f0 00810010 00000000 00000000 003b3b00 200000f0
[   31.332124] iwlwifi 0000:00:1c.0: 00000020: ed40ed40 0001fff1 00000000 00000000 00000000 00000040 00000000 001201ff
[   31.332127] iwlwifi 0000:3b:00.0: iwlwifi root port (0000:00:1c.0) AER cap structure:
[   31.332137] iwlwifi 0000:00:1c.0: 00000000: 14010001 00000000 00010000 00060011 00000000 00002000 00000000 00000000
[   31.332138] iwlwifi 0000:00:1c.0: 00000020: 00000000 00000000 00000000 00000000 00000000 00000000
[   31.332139] iwlwifi 0000:3b:00.0: FW error in SYNC CMD GEO_TX_POWER_LIMIT
[   31.332140] CPU: 8 PID: 1342 Comm: NetworkManager Not tainted 5.1.19-300.fc30.x86_64 #1
[   31.332141] Hardware name: Dell Inc. Precision 5530/066WMR, BIOS 1.10.1 04/26/2019
[   31.332141] Call Trace:
[   31.332145]  dump_stack+0x5c/0x80
[   31.332151]  iwl_trans_pcie_send_hcmd+0x513/0x530 [iwlwifi]
[   31.332153]  ? finish_wait+0x80/0x80
[   31.332157]  iwl_trans_send_cmd+0x55/0xc0 [iwlwifi]
[   31.332163]  iwl_mvm_send_cmd+0x2a/0x90 [iwlmvm]
[   31.332167]  iwl_mvm_send_cmd_pdu+0x51/0x70 [iwlmvm]
[   31.332169]  iwl_mvm_up+0x9c9/0xa60 [iwlmvm]
[   31.332173]  __iwl_mvm_mac_start+0x247/0x2e0 [iwlmvm]
[   31.332176]  iwl_mvm_mac_start+0x46/0x120 [iwlmvm]
[   31.332178]  ? fib6_del+0x290/0x290
[   31.332187]  drv_start+0x43/0xf0 [mac80211]
[   31.332194]  ieee80211_do_open+0x219/0x8d0 [mac80211]
[   31.332202]  ? ieee80211_check_concurrent_iface+0x14f/0x1c0 [mac80211]
[   31.332204]  __dev_open+0xcf/0x160
[   31.332205]  __dev_change_flags+0x1a7/0x200
[   31.332206]  dev_change_flags+0x21/0x60
[   31.332207]  do_setlink+0x68b/0xdd0
[   31.332209]  ? find_busiest_group+0x3e/0x530
[   31.332211]  ? __nla_parse+0x33/0x120
[   31.332212]  __rtnl_newlink+0x545/0x8b0
[   31.332214]  ? sched_clock_cpu+0xc/0xa0
[   31.332216]  ? __switch_to_asm+0x41/0x70
[   31.332217]  ? __switch_to_asm+0x35/0x70
[   31.332218]  ? __switch_to_asm+0x41/0x70
[   31.332219]  ? __switch_to_asm+0x35/0x70
[   31.332220]  ? __switch_to_asm+0x41/0x70
[   31.332221]  ? __switch_to_asm+0x35/0x70
[   31.332222]  ? __switch_to_asm+0x41/0x70
[   31.332223]  ? __switch_to_asm+0x35/0x70
[   31.332224]  ? __switch_to_asm+0x41/0x70
[   31.332224]  ? cpumask_next_wrap+0x25/0x70
[   31.332225]  ? cpumask_next+0x17/0x20
[   31.332226]  ? __update_load_avg_cfs_rq+0x1e6/0x270
[   31.332229]  ? _cond_resched+0x15/0x30
[   31.332230]  ? kmem_cache_alloc_trace+0x154/0x1c0
[   31.332231]  rtnl_newlink+0x44/0x70
[   31.332232]  rtnetlink_rcv_msg+0x2b0/0x360
[   31.332233]  ? rtnl_calcit.isra.0+0x100/0x100
[   31.332234]  netlink_rcv_skb+0x49/0x110
[   31.332236]  netlink_unicast+0x171/0x200
[   31.332237]  netlink_sendmsg+0x202/0x3d0
[   31.332239]  sock_sendmsg+0x39/0x50
[   31.332240]  ___sys_sendmsg+0x2a4/0x300
[   31.332242]  ? wake_up_q+0x3b/0x60
[   31.332243]  ? do_futex+0x86b/0xca0
[   31.332244]  ? wake_up_q+0x60/0x60
[   31.332245]  ? __wake_up_common+0x80/0x190
[   31.332246]  ? _cond_resched+0x15/0x30
[   31.332248]  ? __inode_security_revalidate+0x60/0x70
[   31.332249]  __sys_sendmsg+0x59/0xa0
[   31.332251]  do_syscall_64+0x5b/0x170
[   31.332253]  entry_SYSCALL_64_after_hwframe+0x44/0xa9
[   31.332254] RIP: 0033:0x7f39c2081b7d
[   31.332255] Code: 28 89 54 24 1c 48 89 74 24 10 89 7c 24 08 e8 ca ec ff ff 8b 54 24 1c 48 8b 74 24 10 41 89 c0 8b 7c 24 08 b8 2e 00 00 00 0f 05 <48> 3d 00 f0 ff ff 77 2f 44 89 c7 48 89 44 24 08 e8 fe ec ff ff 48
[   31.332256] RSP: 002b:00007ffee9cbcbd0 EFLAGS: 00000293 ORIG_RAX: 000000000000002e
[   31.332257] RAX: ffffffffffffffda RBX: 000055bc0a36bb40 RCX: 00007f39c2081b7d
[   31.332258] RDX: 0000000000000000 RSI: 00007ffee9cbcc20 RDI: 000000000000000c
[   31.332258] RBP: 00007ffee9cbcc20 R08: 0000000000000000 R09: 0000000000000000
[   31.332259] R10: 0000000000000000 R11: 0000000000000293 R12: 000055bc0a36bb40
[   31.332259] R13: 00007ffee9cbcdd8 R14: 00007ffee9cbcdcc R15: 0000000000000000
[   31.332261] iwlwifi 0000:3b:00.0: Collecting data: trigger 2 fired.
[   31.332268] iwlwifi 0000:3b:00.0: Firmware not running - cannot dump error

Comment 8 Justin Christian 2019-07-27 18:35:20 UTC
*** Bug 1733308 has been marked as a duplicate of this bug. ***

Comment 9 Jasper Siero 2019-07-28 08:28:12 UTC
Should this ticket be assigned to component "linux-firmware" because the Assignee is "Orphan Owner"? The ticket below looks like the same problem but there is progress and assigned to someone:
https://bugzilla.redhat.com/show_bug.cgi?id=1733369

Comment 10 ilmostro7 2019-11-03 03:04:01 UTC
I've just observed this after upgrading to RHEL7.8 (beta).

As far as I can tell, the iwl3160-firmware package is to blame.

Updated     iwl3160-firmware-22.0.7.0-72.el7.noarch                                          @rhel-7-server-beta-rpms
Update                       25.30.13.0-74.el7.noarch                                        @rhel-7-server-beta-rpms

Comment 11 ilmostro7 2019-11-03 03:05:16 UTC
Created attachment 1632023 [details]
klogs-iwlwifi

Comment 13 Vanoywj 2019-12-20 04:58:38 UTC
similar error on Fedora 31.

Command: uname -a
Linux host 5.3.15-300.fc31.x86_64 #1 SMP Thu Dec 5 15:04:01 UTC 2019 x86_64 x86_64 x86_64 GNU/Linux

Command: dmesg | grep -i iwiwifi | less

[ 3327.586413] iwlwifi 0000:01:00.0: Queue 4 is active on fifo 1 and stuck for 10000 ms. SW [62, 69] HW [62, 69] FH TRB=0x0c010403d
[ 3327.586643] iwlwifi 0000:01:00.0: Microcode SW error detected. Restarting 0x0.
[ 3327.586905] iwlwifi 0000:01:00.0: Start IWL Error Log Dump:
[ 3327.586909] iwlwifi 0000:01:00.0: Status: 0x00000080, count: 6
[ 3327.586912] iwlwifi 0000:01:00.0: Loaded firmware version: 46.6bf1df06.0
[ 3327.586918] iwlwifi 0000:01:00.0: 0x00000084 | NMI_INTERRUPT_UNKNOWN       
[ 3327.586921] iwlwifi 0000:01:00.0: 0x0000A210 | trm_hw_status0
[ 3327.586924] iwlwifi 0000:01:00.0: 0x00000000 | trm_hw_status1
[ 3327.586927] iwlwifi 0000:01:00.0: 0x0048853E | branchlink2
[ 3327.586930] iwlwifi 0000:01:00.0: 0x00479392 | interruptlink1
[ 3327.586933] iwlwifi 0000:01:00.0: 0x00007D92 | interruptlink2
[ 3327.586935] iwlwifi 0000:01:00.0: 0x000111A2 | data1
[ 3327.586938] iwlwifi 0000:01:00.0: 0xFF000000 | data2
[ 3327.586941] iwlwifi 0000:01:00.0: 0xF0000008 | data3
[ 3327.586943] iwlwifi 0000:01:00.0: 0xFE4068C4 | beacon time
[ 3327.586946] iwlwifi 0000:01:00.0: 0x5A047974 | tsf low
[ 3327.586948] iwlwifi 0000:01:00.0: 0x000003D6 | tsf hi
[ 3327.586951] iwlwifi 0000:01:00.0: 0x00000000 | time gp1
[ 3327.586954] iwlwifi 0000:01:00.0: 0xC1453F14 | time gp2
[ 3327.586956] iwlwifi 0000:01:00.0: 0x00000001 | uCode revision type
[ 3327.586959] iwlwifi 0000:01:00.0: 0x0000002E | uCode version major
[ 3327.586962] iwlwifi 0000:01:00.0: 0x6BF1DF06 | uCode version minor
[ 3327.586964] iwlwifi 0000:01:00.0: 0x00000321 | hw version
[ 3327.586967] iwlwifi 0000:01:00.0: 0x00C89004 | board version
[ 3327.586969] iwlwifi 0000:01:00.0: 0x005D019C | hcmd
[ 3327.586972] iwlwifi 0000:01:00.0: 0x24022000 | isr0
[ 3327.586975] iwlwifi 0000:01:00.0: 0x00000000 | isr1
[ 3327.586977] iwlwifi 0000:01:00.0: 0x08001802 | isr2
[ 3327.586980] iwlwifi 0000:01:00.0: 0x004150C0 | isr3
[ 3327.586983] iwlwifi 0000:01:00.0: 0x00000000 | isr4
[ 3327.586985] iwlwifi 0000:01:00.0: 0x005D019C | last cmd Id
[ 3327.586988] iwlwifi 0000:01:00.0: 0x000111A2 | wait_event
[ 3327.586990] iwlwifi 0000:01:00.0: 0x000000B4 | l2p_control
[ 3327.586993] iwlwifi 0000:01:00.0: 0x00010034 | l2p_duration
[ 3327.586995] iwlwifi 0000:01:00.0: 0x0000000F | l2p_mhvalid
[ 3327.586998] iwlwifi 0000:01:00.0: 0x00000004 | l2p_addr_match
[ 3327.587001] iwlwifi 0000:01:00.0: 0x0000000D | lmpm_pmg_sel
[ 3327.587004] iwlwifi 0000:01:00.0: 0x08081424 | timestamp
[ 3327.587007] iwlwifi 0000:01:00.0: 0x000020F8 | flow_handler
[ 3327.587109] iwlwifi 0000:01:00.0: Start IWL Error Log Dump:
[ 3327.587112] iwlwifi 0000:01:00.0: Status: 0x00000080, count: 7
[ 3327.587116] iwlwifi 0000:01:00.0: 0x20000066 | NMI_INTERRUPT_HOST
[ 3327.587118] iwlwifi 0000:01:00.0: 0x00000000 | umac branchlink1
[ 3327.587121] iwlwifi 0000:01:00.0: 0xC008888E | umac branchlink2
[ 3327.587123] iwlwifi 0000:01:00.0: 0xC0084414 | umac interruptlink1
[ 3327.587126] iwlwifi 0000:01:00.0: 0xC0084414 | umac interruptlink2
[ 3327.587129] iwlwifi 0000:01:00.0: 0x01000000 | umac data1
[ 3327.587131] iwlwifi 0000:01:00.0: 0xC0084414 | umac data2
[ 3327.587134] iwlwifi 0000:01:00.0: 0xDEADBEEF | umac data3
[ 3327.587136] iwlwifi 0000:01:00.0: 0x0000002E | umac major
[ 3327.587139] iwlwifi 0000:01:00.0: 0x6BF1DF06 | umac minor
[ 3327.587141] iwlwifi 0000:01:00.0: 0xC1453EFF | frame pointer
[ 3327.587144] iwlwifi 0000:01:00.0: 0xC088627C | stack pointer
[ 3327.587146] iwlwifi 0000:01:00.0: 0x005D019C | last host cmd
[ 3327.587149] iwlwifi 0000:01:00.0: 0x00000000 | isr status reg
[ 3327.587223] iwlwifi 0000:01:00.0: Fseq Registers:
[ 3327.587260] iwlwifi 0000:01:00.0: 0xB5159FE5 | FSEQ_ERROR_CODE
[ 3327.587299] iwlwifi 0000:01:00.0: 0x00000000 | FSEQ_TOP_INIT_VERSION
[ 3327.587349] iwlwifi 0000:01:00.0: 0xD3E0F4E1 | FSEQ_CNVIO_INIT_VERSION
[ 3327.587387] iwlwifi 0000:01:00.0: 0x0000A371 | FSEQ_OTP_VERSION
[ 3327.587424] iwlwifi 0000:01:00.0: 0x009CF1AA | FSEQ_TOP_CONTENT_VERSION
[ 3327.587462] iwlwifi 0000:01:00.0: 0xDE2C9B3F | FSEQ_ALIVE_TOKEN
[ 3327.587501] iwlwifi 0000:01:00.0: 0xC1C53074 | FSEQ_CNVI_ID
[ 3327.587539] iwlwifi 0000:01:00.0: 0xB6F53AFE | FSEQ_CNVR_ID
[ 3327.587578] iwlwifi 0000:01:00.0: 0x01000200 | CNVI_AUX_MISC_CHIP
[ 3327.587618] iwlwifi 0000:01:00.0: 0x01300202 | CNVR_AUX_MISC_CHIP
[ 3327.587658] iwlwifi 0000:01:00.0: 0x0000485B | CNVR_SCU_SD_REGS_SD_REG_DIG_DCDC_VTRIM
[ 3327.587748] iwlwifi 0000:01:00.0: 0x0BADCAFE | CNVR_SCU_SD_REGS_SD_REG_ACTIVE_VDIG_MIRROR
[ 3327.587820] iwlwifi 0000:01:00.0: Collecting data: trigger 2 fired.
[ 3328.300582] iwlwifi 0000:01:00.0: Applying debug destination EXTERNAL_DRAM
[ 3328.419173] iwlwifi 0000:01:00.0: Applying debug destination EXTERNAL_DRAM
[ 3328.486534] iwlwifi 0000:01:00.0: FW already configured (0) - re-configuring

Comment 14 Vanoywj 2019-12-20 05:04:45 UTC
lspci -vnn | grep -i network
01:00.0 Network controller [0280]: Intel Corporation Wireless-AC 9260 [8086:2526] (rev 29)

Comment 15 Nikolay Kovachev 2020-01-21 21:37:56 UTC
Hello,
I'm facing the same issue. Please let me know if I can support with any diagnostic data. I'll appreciate if we can progress that issue in any way.

cat /etc/fedora-release 
Fedora release 31 (Thirty One)

uname -a
Linux K 5.3.7-301.fc31.x86_64 #1 SMP Mon Oct 21 19:18:58 UTC 2019 x86_64 x86_64 x86_64 GNU/Linux

lspci -vnn | grep -i network
00:14.3 Network controller [0280]: Intel Corporation Cannon Point-LP CNVi [Wireless-AC] [8086:9df0] (rev 30)

Regards

Comment 16 Ben Cotton 2020-04-30 20:32:11 UTC
This message is a reminder that Fedora 30 is nearing its end of life.
Fedora will stop maintaining and issuing updates for Fedora 30 on 2020-05-26.
It is Fedora's policy to close all bug reports from releases that are no longer
maintained. At that time this bug will be closed as EOL if it remains open with a
Fedora 'version' of '30'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version.

Thank you for reporting this issue and we are sorry that we were not 
able to fix it before Fedora 30 is end of life. If you would still like 
to see this bug fixed and are able to reproduce it against a later version 
of Fedora, you are encouraged  change the 'version' to a later Fedora 
version prior this bug is closed as described in the policy above.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

Comment 17 Ben Cotton 2020-05-26 18:11:14 UTC
Fedora 30 changed to end-of-life (EOL) status on 2020-05-26. Fedora 30 is
no longer maintained, which means that it will not receive any further
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of
Fedora please feel free to reopen this bug against that version. If you
are unable to reopen this bug, please file a new report against the
current release. If you experience problems, please add a comment to this
bug.

Thank you for reporting this bug and we are sorry it could not be fixed.


Note You need to log in before you can comment on or make changes to this bug.